Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Kde 5
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
<3
l33t
l33t


Joined: 21 Oct 2004
Posts: 917

PostPosted: Thu Jul 30, 2015 11:52 pm    Post subject: Kde 5 Reply with quote

It's been slightly over a year since KDE 5 was released and they are now at version 5.14, I am thinking about taking the plunge to move from KDE 4.x to KDE 5 but it still does not appear like KDE 5 has been marked stable in the portage tree, I'm guessing that there is a reason for this and wanted to see if anyone with first hand experience with KDE 5 and could give me their thoughts on it. Also looking at bugs.gentoo.org I see a lot of KDE bugs but most of them are for KDE 4.x and KDE 4.x runs fine for me, it's expected that a DM as large as KDE would have a lot of bugs.

Last edited by <3 on Tue Aug 11, 2015 5:37 pm; edited 1 time in total
Back to top
View user's profile Send private message
davidm
Guru
Guru


Joined: 26 Apr 2009
Posts: 557
Location: US

PostPosted: Fri Jul 31, 2015 2:00 am    Post subject: Reply with quote

If you're absolutely focused on stability I would probably stick with kde4 in the stable Gentoo tree for a while longer. If you want some progress and are prepared for a little paper cut here and there then consider installing Plasma 5 and KDE Frameworks 5 which is now in testing in portage. See https://wiki.gentoo.org/wiki/KDE/Plasma_5_upgrade for how to do that.

If you are prepared for a little more breakage but a mostly fully functional desktop you might consider also enabling the kde-overlay and pulling in the KF5 enabled application releases. The newest stable is 15.04.3 I believe. 15.08 is due to be released later next month. But to go the route of using the overlay you'll have to know how to unmask and keyword (if using stable) the packages.

If you use session management or Activities note that in anything less than the plasma/frameworks live builds it is pretty much broken. Many applications -- both qt4 and qt5 will not restore properly from a saved session. Where they do restore they will tend to all go on the first virtual desktop and screen in the first activity. This is largely due to a kwin bug which is fixed in master/plasma 5.4. When using the live Plasma/Frameworks builds (*-9999) I have noted the situation is a bit better sinc ethe kwin bug is fixed. The QT4 applications seem to restore correctly to both the proper virtual desktop and activity. However the QT5 applications (right now you have to usually unmask these from the kde-overlay to use them) do not in my experience. I believe this problem is due to a qt5 bug which I'm not sure has even been patched in the master tree yet though bug reports and proposed patches exist.

Also while multi-screen support in Plasma 5.3 is a lot better than in the past (and it works pretty well for me), some people report it can be a little wonky at times still. I've seen upstream KDE developers suggest that things are a bit better for multi screen support if you use qt5.5 (available in the qt overlay) versus qt5.4 though.

Also honestly I have to say that it seems Plasma 5 exposes more flaws in the GPU and drivers. I've noticed more problems with that. However it also pushes that hardware a bit harder than kde4 did and this could explain it a bit. In my case I'm using a very old GPU and it might simply be failing or otherwise merely a corner case. I've yet to investigate and try things like swapping in another GPU.

Anyway If you do decide to test it out note that it's possible to switch back to kde4 if you decide it's not to your liking. :)
Back to top
View user's profile Send private message
<3
l33t
l33t


Joined: 21 Oct 2004
Posts: 917

PostPosted: Fri Jul 31, 2015 2:46 am    Post subject: Reply with quote

You can't go back? how is that possible?
Back to top
View user's profile Send private message
davidm
Guru
Guru


Joined: 26 Apr 2009
Posts: 557
Location: US

PostPosted: Fri Jul 31, 2015 12:03 pm    Post subject: Reply with quote

<3 wrote:
You can't go back? how is that possible?


You can go back to kde4. Portage can handle it. But you might have a few blockers to deal with is all.
Back to top
View user's profile Send private message
<3
l33t
l33t


Joined: 21 Oct 2004
Posts: 917

PostPosted: Sat Aug 01, 2015 9:23 am    Post subject: Reply with quote

OK, that's fine.
Back to top
View user's profile Send private message
thurnax
Tux's lil' helper
Tux's lil' helper


Joined: 17 Apr 2014
Posts: 90

PostPosted: Fri Aug 07, 2015 1:35 pm    Post subject: Reply with quote

This rises a few questions with me. I have tried the non-overlay version of KDE/Plasma 5 and find it to be fairly stable.

There are a few bugs, one prevents me to change the system/tray icons, the changes don't stick. When dragging gadgets/widgets on the desktop they can accidentally jump out of the screen and turn unreachable with the mouse. The Window manager usually crashes upon logout or shutdown.

These issues may already have been fixed in later versions of KDE5 so the KDE development team may not be interested in bug reports from this build. So the question is maybe it is better to go with the latest builds (which I'm guessing that overlay implies) and be more proactive in the bug reporting.

Not that I'm particularly gung-ho on bickering with system issues but I guess I can make some sacrifices in the name of science :)
Back to top
View user's profile Send private message
davidm
Guru
Guru


Joined: 26 Apr 2009
Posts: 557
Location: US

PostPosted: Fri Aug 07, 2015 2:32 pm    Post subject: Reply with quote

I'm using plasma and frameworks live (-9999) packages from the overlay. The crashes at login or logoff thing has been fixed for me there. That part is pretty stable now in my experience. However if you are seeing something like this:

Code:

Jul 31 14:55:32 gentoo kernel: kactivitymanage[1789]: segfault at 7f38a91c9c50 ip 00007f389006e061 sp 00007ffdad6ec528 error 4 in libQt5Sql.so.5.5.0[7f389005a000+3f000]


Downgrading (masking 7.0.28) to x11-proto/xproto-7.0.27 should fix it.

There are still lots of papercuts though. The biggest for me is that with compositing on and off Plasma 5 (even in master) has all sorts of trouble handing my old Quadro FX 570. I have it down to just being an annoyance where once or twice the taskbar/panel and kicker (plasmashell) will freeze up for about 15 seconds. Also some things are corrupted but I'm able to work around it and still have things be fully funcional. In the logs there are lots of messages like this:

Code:

52928.616100] nouveau E[     PFB][0000:01:00.0] trapped read at 0x0020486000 on channel 0x0000fb33 [X[1634]] PGRAPH/TEXTURE/00 reason: PAGE_NOT_PRESENT                                                                                                                                           
[52930.710470] nouveau E[plasmashell[1831]] fail set_domain
[52930.710477] nouveau E[plasmashell[1831]] validating bo list
[52930.710482] nouveau E[plasmashell[1831]] validate: -22
[52930.717215] nouveau E[plasmashell[1831]] fail set_domain
[52930.717222] nouveau E[plasmashell[1831]] validating bo list
[52930.717225] nouveau E[plasmashell[1831]] validate: -22
[52930.934459] nouveau E[     PFB][0000:01:00.0] trapped read at 0x0020486000 on channel 0x0000f64f [plasmashell[1831]] PGRAPH/TEXTURE/00 reason: PAGE_NOT_PRESENT                                                         


It could just be a nouveau issue or perhaps a failing GPU (I suspect the latter). The odd thing is it worked fine for a long time in Plasma 5.2 (around that time). I should try to do some more things to try to isolate what is going on (switch GPUS, try plasma 5.2 again to verify regression, etc) but doing that kind of stuff can take a lot of time.
Back to top
View user's profile Send private message
adsicks
n00b
n00b


Joined: 08 Sep 2012
Posts: 37
Location: Oklahoma, USA

PostPosted: Wed Aug 19, 2015 11:18 pm    Post subject: I still have this problem Reply with quote

Code:
Aug 19 16:31:20 <host hidden> kernel: kactivitymanage[2192]: segfault at 7f095ff01c30 ip 00007f09481f563a sp 00007ffffa67a048 error 4 in libQt5Sql.so.5.5.0[7f09481e2000+3d000]


With

Code:

eix x11-proto/xproto
[I] x11-proto/xproto
     Available versions:  7.0.27 ~7.0.28 {doc ABI_MIPS="n32 n64 o32" ABI_PPC="32 64" ABI_S390="32 64" ABI_X86="32 64 x32"}
     Installed versions:  7.0.27(05:11:38 AM 08/12/2015)(-doc ABI_MIPS="-n32 -n64 -o32" ABI_PPC="-32 -64" ABI_S390="-32 -64" ABI_X86="64 -32 -x32")
     Homepage:            http://xorg.freedesktop.org/
     Description:         X.Org xproto protocol headers


I have an Intel chipset. But I added the qt overlay and upgraded qt from there. Maybe I should just go to the bleeding edge live setup, as the given portage files in the overlay for 5.13/5.3 are not stable with the qt overlay....seem to not have this crash before the qt5 upgrade...
Back to top
View user's profile Send private message
davidm
Guru
Guru


Joined: 26 Apr 2009
Posts: 557
Location: US

PostPosted: Thu Aug 20, 2015 5:45 pm    Post subject: Re: I still have this problem Reply with quote

adsicks wrote:
Code:
Aug 19 16:31:20 <host hidden> kernel: kactivitymanage[2192]: segfault at 7f095ff01c30 ip 00007f09481f563a sp 00007ffffa67a048 error 4 in libQt5Sql.so.5.5.0[7f09481e2000+3d000]


With

Code:

eix x11-proto/xproto
[I] x11-proto/xproto
     Available versions:  7.0.27 ~7.0.28 {doc ABI_MIPS="n32 n64 o32" ABI_PPC="32 64" ABI_S390="32 64" ABI_X86="32 64 x32"}
     Installed versions:  7.0.27(05:11:38 AM 08/12/2015)(-doc ABI_MIPS="-n32 -n64 -o32" ABI_PPC="-32 -64" ABI_S390="-32 -64" ABI_X86="64 -32 -x32")
     Homepage:            http://xorg.freedesktop.org/
     Description:         X.Org xproto protocol headers


I have an Intel chipset. But I added the qt overlay and upgraded qt from there. Maybe I should just go to the bleeding edge live setup, as the given portage files in the overlay for 5.13/5.3 are not stable with the qt overlay....seem to not have this crash before the qt5 upgrade...


Strange. Downgrading xproto to 7.0.27 solved that particular segfault for me. It's been weeks since I've seen it whereas I used to see it daily. I'm using the live plasma and frameworks packages at the moment though. Also like you (?) qt 5.5 from the qt overlay. Qt 5.5 is what they recommend for Plasma 5.4 anyway (though qt 5.4 is also supposed to be supported afaik).
Back to top
View user's profile Send private message
adsicks
n00b
n00b


Joined: 08 Sep 2012
Posts: 37
Location: Oklahoma, USA

PostPosted: Fri Aug 21, 2015 3:06 am    Post subject: Reply with quote

I saw that fix several places online. I think it is a bad intel driver in portage in my system. This was a clean install with the plasma/systemd profile. But I had used the 15.04/5.13/5.4 combo in portage. I changed all my symlinks to the live version of these files, unmasked the lastest non-9999 libva-intel driver, updated and depcleaned and now have a stable system. Minutes before I got the notification for this post I had switched over on vt-12 and I still have the segfault, but no hang, and some fifo underruns messages on my intel drm driver. I guess the underrun messages catch whatever was hanging before....

Code:
Aug 20 11:23:30 gentoo-laptop kernel: kactivitymanage[2171]: segfault at 7f693dba9c30 ip 00007f693001863a sp 00007ffc3e97fa68 error 4 in libQt5Sql.so.5.5.0[7f6930005000+3d000]
Aug 20 11:26:01 gentoo-laptop kernel: kactivitymanage[3507]: segfault at 7efd000bdc30 ip 00007efcf003a63a sp 00007ffeb0421488 error 4 in libQt5Sql.so.5.5.0[7efcf0027000+3d000]
Aug 20 11:27:29 gentoo-laptop kernel: kactivitymanage[4157]: segfault at 7f5b9f13ac30 ip 00007f5b880ae63a sp 00007ffcdbd8a348 error 4 in libQt5Sql.so.5.5.0[7f5b8809b000+3d000]
Aug 20 15:23:38 gentoo-laptop kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun


I actually have the downgraded xproto already:

Code:
[I] x11-proto/xproto
     Available versions:  7.0.27 [m]~7.0.28 {doc ABI_MIPS="n32 n64 o32" ABI_PPC="32 64" ABI_S390="32 64" ABI_X86="32 64 x32"}
     Installed versions:  7.0.27(05:11:38 AM 08/12/2015)(-doc ABI_MIPS="-n32 -n64 -o32" ABI_PPC="-32 -64" ABI_S390="-32 -64" ABI_X86="64 -32 -x32")
     Homepage:            http://xorg.freedesktop.org/
     Description:         X.Org xproto protocol headers
Back to top
View user's profile Send private message
bluehippy
n00b
n00b


Joined: 07 Sep 2014
Posts: 25

PostPosted: Fri Oct 09, 2015 3:53 pm    Post subject: Reply with quote

I have a similar problem with a mobile radeon graphics card (RV710) and posted it earlier here.

The mentioned downgrading doesn't apply, since the installed version is already 7.0.27
Back to top
View user's profile Send private message
adsicks
n00b
n00b


Joined: 08 Sep 2012
Posts: 37
Location: Oklahoma, USA

PostPosted: Fri Oct 09, 2015 9:10 pm    Post subject: Reply with quote

Try putting a script in ~/.config/plasma-workspace/env/ to disable drkonqi. That would hang on mine whenever there was a segfault I found by doing a ps -aux |grep kwin_x11


Code:

KWIN_USE_BUFFER_AGE=0
KDE_DEBUG=0


The use buffer age may be an Intel specific fix.
The KDE_DEBUG will turn off drkonqi, as it doesn't seem compatible with Plasma 5 yet(?!?)
Back to top
View user's profile Send private message
bluehippy
n00b
n00b


Joined: 07 Sep 2014
Posts: 25

PostPosted: Sat Oct 10, 2015 12:10 pm    Post subject: Reply with quote

Actually, I didn't have this problem until a recent update of kdeframeworks or plasma. I'm not sure, but it might happened after updating to frameworks 5.14. Can someone confirm this?


EDIT:
Just updated to plasma-meta-5.4.2 and the lock screen works normally again. I can do both, locking manually and automatically
Back to top
View user's profile Send private message
<3
l33t
l33t


Joined: 21 Oct 2004
Posts: 917

PostPosted: Sun Jan 10, 2016 2:28 am    Post subject: Reply with quote

Any updates on KDE 5 since KDE 4 seems to be discontinued upstream and its been almost 1.5 years since KDE 5 was released?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Sun Jan 10, 2016 10:24 am    Post subject: Reply with quote

KDE 4 development was stopped, If you wanted to say that.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
<3
l33t
l33t


Joined: 21 Oct 2004
Posts: 917

PostPosted: Sun Jan 10, 2016 8:06 pm    Post subject: Reply with quote

isn't that exactly what I said.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Sun Jan 10, 2016 10:09 pm    Post subject: Reply with quote

Oh, depends on how you read it. A bit of punctuation helps there.

Well, updates to KDE Plasma, Applications and Frameworks happen almost weekly.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
<3
l33t
l33t


Joined: 21 Oct 2004
Posts: 917

PostPosted: Mon Jan 11, 2016 3:40 am    Post subject: Reply with quote

But that is my point, those weekly updates are for KDE SC 5 not KDE SC 4.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Mon Jan 11, 2016 9:07 am    Post subject: Reply with quote

Yes, KDE SC 4 development has stopped. :) What's your question then, exactly? We are kind of talking past each other :lol:
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
<3
l33t
l33t


Joined: 21 Oct 2004
Posts: 917

PostPosted: Tue Jan 12, 2016 12:52 am    Post subject: Reply with quote

if development of KDE SC 4 has stopped when will portage support of KDE SC 5 begin.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Tue Jan 12, 2016 1:27 am    Post subject: Reply with quote

KDE SC 5 does not exist.

KDE Plasma 5.5.2 is in portage.
KDE Frameworks 5.17 is in portage.
KDE Applications 15.08.3 is, for the biggest part, in portage.
;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Helena
Veteran
Veteran


Joined: 02 Apr 2003
Posts: 1064
Location: Den Dolder, The Netherlands

PostPosted: Tue Jan 12, 2016 7:22 pm    Post subject: What is the current sitiuaton? Reply with quote

I have been using KDE 5 in the unstable tree for some months now and it's getting better. However Gentoo does not keep its documentation up to date. The wiki articles are outdated; there is no need to unmask or use overlays any more AFAIK. Also I found out that some basic utilities are missing or hard to find.

As is mentioned in the wiki KDE 5 consists of three components:
  • Plasma
  • Frameworks
  • Applications

The first 2 items are installed by
Code:
emerge --ask --verbose kde-plasma/plasma-meta
since KDE Frameworks (the successor to kdelibs) is a dependency. However, kdelibs remains installed, apparently for support of older programs. For the KDE apps there are several metapackages available:
Code:
emerge --ask --verbose \
kde-apps/kdeadmin-meta \
kde-apps/kdeartwork-meta \
kde-apps/kdebase-runtime-meta \
kde-apps/kdegames-meta \
kde-apps/kdegraphics-meta \
kde-apps/kdemultimedia-meta \
kde-apps/kdetoys-meta \
kde-apps/kdeutils-meta \
kde-apps/plasma-apps

For me a terminal is very important but I could not find a metapackage for kde-apps/konsole so I had to install that manually. Also a recommended text editor seems to be missing.

By the way today KDE Frameworks was updated to 5.18.

P.S. fixed typo


Last edited by Helena on Wed Jan 13, 2016 7:19 am; edited 1 time in total
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Tue Jan 12, 2016 7:28 pm    Post subject: Re: What is the current sitiuaton? Reply with quote

Helena wrote:
I have been using KDE 5 in the unstable tree for some months now and it's getting better. However Gentoo does not keep its documentation up to date. The wiki articles are outdated; there is no need to unmask or use overlays any more AFAIK.

Well, stable users still need to use package.keywords lists to get Plasma-5. But there have been changes lately; please have a look at the upgrade wiki again and let me know where you find problems. :)

Helena wrote:
For me a terminal is very important but I could not find a metapackage for kde-apps/konsole so I had to install that manually. Also a recommended text editor seems to be missing.

Yeah, this is being worked on. The main problems were how to solve blockers during transition and not let people accidentally pull kf5-based packages while using kde profile. There needs to be one more big KDE4 stabilisation before upgrading to Plasma-5 becomes easier.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
msst
Apprentice
Apprentice


Joined: 07 Jun 2011
Posts: 213

PostPosted: Tue Jan 12, 2016 10:15 pm    Post subject: Reply with quote

And to add my experience - I recently tried out plasma5 git-master and later stepped back to qt/kde5&plasma5 testing - I would not consider it stable enough for unmasking, not to speak of making it stable or even the default kde.

There are still several - maybe not of the major things - packages not ported to KF5. Also it still happens that things simply do not compile (I manually masked the latest qt5 testing as the only available qt5webkit thing was lagging behind and causing compile trouble). kde5-pam bindings are not fully working neither do saved multi-virtual desktop session behave well. And so on.

It is apparently making progress but I would not be surprised if it would take another 1-2 years before it is really stable. I would rather be surprised if that happens already this year...
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Tue Jan 12, 2016 10:38 pm    Post subject: Reply with quote

By your description you had apparently installed Qt-5.6.0 beta from qt overlay which totally breaks everything. That makes any compile trouble actually expected. Be careful using overlays, next time.

mas- wrote:
There are still several - maybe not of the major things - packages not ported to KF5.

Old applications continue to work fine.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum